# This file created by conda-build 3.21.4
# ------------------------------------------------

package:
  name: matplotlib-base
  version: 3.3.4
source:
  sha256: ce7cebd3df11a032fff9b3a32029f49f0fc7c322f556f26ea9ef812d6e43cb21
  url: https://github.com/matplotlib/matplotlib/archive/v3.3.4.tar.gz
build:
  ignore_run_exports:
    - tk
  noarch: false
  noarch_python: false
  number: '0'
  script: build_base.sh
  string: py38h8160758_0
requirements:
  build:
    - _openmp_mutex 5.1 1_gnu
    - binutils_impl_linux-aarch64 2.36.1 h21f23c2_2
    - binutils_linux-aarch64 2.36 h1234567_30_bootstrapping
    - gcc_impl_linux-aarch64 10.2.0 h1234567_0_bootstrapping
    - gcc_linux-aarch64 10.2.0 h1234567_30_bootstrapping
    - gxx_impl_linux-aarch64 10.2.0 h1234567_0_bootstrapping
    - gxx_linux-aarch64 10.2.0 h1234567_30_bootstrapping
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_12
    - ld_impl_linux-aarch64 2.36.1 hfa81395_2
    - libgcc-devel_linux-aarch64 10.2.0 h1234567_0_bootstrapping
    - libgcc-ng 10.2.0 h1234567_0_bootstrapping
    - libgomp 10.2.0 h1234567_0_bootstrapping
    - libstdcxx-devel_linux-aarch64 10.2.0 h1234567_0_bootstrapping
    - libstdcxx-ng 10.2.0 h1234567_0_bootstrapping
    - pkg-config 0.29.2 hfd63f10_0
    - sysroot_linux-aarch64 2.26 h4744778_12
  host:
    - _openmp_mutex 5.1 1_gnu
    - blas 1.0 openblas
    - ca-certificates 2021.1.19 hd43f75c_0
    - certifi 2020.12.5 py38hd43f75c_0
    - cycler 0.10.0 py38hd43f75c_0
    - freetype 2.10.4 h95b89d1_0
    - ld_impl_linux-aarch64 2.36.1 hfa81395_2
    - libedit 3.1.20191231 hfd63f10_0
    - libffi 3.3 h7c1a80f_2
    - libgcc-ng 10.2.0 h1234567_0_bootstrapping
    - libgfortran-ng 10.2.0 h9534d94_0
    - libgfortran5 10.2.0 h1234567_0_bootstrapping
    - libgomp 10.2.0 h1234567_0_bootstrapping
    - libopenblas 0.3.10 hf4835c0_1
    - libpng 1.6.37 h8ea0f78_0
    - libstdcxx-ng 10.2.0 h1234567_0_bootstrapping
    - ncurses 6.2 hfd63f10_0
    - nose 1.3.7 pyhd3eb1b0_1006
    - numpy 1.16.6 py38h6e6f1e0_2
    - numpy-base 1.16.6 py38h0361ad9_2
    - openssl 1.1.1j hfd63f10_0
    - pip 21.0.1 py38hd43f75c_0
    - pyparsing 2.4.7 pyhd3eb1b0_0
    - python 3.8.8 he65049a_4
    - python-dateutil 2.8.1 pyhd3eb1b0_0
    - readline 8.1 hfd63f10_0
    - setuptools 52.0.0 py38hd43f75c_0
    - six 1.14.0 py38hd43f75c_0
    - sqlite 3.32.3 h2e10e0d_0
    - tk 8.6.10 h8ea0f78_0
    - wheel 0.36.2 pyhd3eb1b0_0
    - xz 5.2.4 hfd63f10_4
    - zlib 1.2.11 hfd63f10_3
  run:
    - certifi >=2020.06.20
    - cycler >=0.10
    - freetype >=2.10.4,<3.0a0
    - kiwisolver >=1.0.1
    - libgcc-ng >=10.2.0
    - libstdcxx-ng >=10.2.0
    - numpy >=1.16.6,<2.0a0
    - pillow >=6.2.0
    - pyparsing >=2.0.3,!=2.0.4,!=2.1.2,!=2.1.6
    - python >=3.8,<3.9.0a0
    - python-dateutil >=2.1
    - setuptools
    - tk
    - tornado
test:
  imports:
    - matplotlib
    - matplotlib._image
    - matplotlib._path
    - matplotlib._tri
    - matplotlib.backends._backend_agg
    - matplotlib.backends._tkagg
    - matplotlib.ft2font
    - matplotlib.pyplot
    - matplotlib.ttconv
    - mpl_toolkits
    - pylab
  requires:
    - pytest
about:
  description: 'matplotlib is a python 2D plotting library which produces publication

    quality figures in a variety of hardcopy formats and interactive

    environments across platforms. matplotlib can be used in Python scripts,

    the Python and IPython shell (ala MATLAB or Mathematica), web

    application servers, and six graphical user interface toolkits.

    '
  dev_url: https://github.com/matplotlib/matplotlib/
  doc_url: http://matplotlib.org/contents.html
  home: http://matplotlib.org/
  license: LicenseRef-PSF-based
  license_family: PSF
  license_file: LICENSE/LICENSE
  license_url: http://matplotlib.sourceforge.net/users/license.html
  summary: Publication quality figures in Python
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - dopplershift
    - mdboom
    - ocefpaf
    - pelson
    - tacaswell
